Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineFactory Class Reference

The search engine factory. More...

## Public Member Functions
| __construct (RepositoryConfigurationProvider $repositoryConfigurationProvider)
| registerSearchEngine (SearchHandler $searchHandler, $searchEngineIdentifier)
| Registers $searchHandler as a valid search engine with identifier $searchEngineIdentifier. More...
| getSearchEngines ()
| Returns registered search engines. More...
| buildSearchEngine ()
| Builds search engine identified by its identifier (the "alias" attribute in the service tag), resolved for current siteaccess. More...

## Protected Attributes
| $searchEngines = []

## Private Attributes
| $repositoryConfigurationProvider

## Detailed Description

The search engine factory.

Definition at line 15 of file SearchEngineFactory.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineFactory::__construct | ( | RepositoryConfigurationProvider | $repositoryConfigurationProvider | ) |

Definition at line 28 of file SearchEngineFactory.php.

References eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineFactory\$repositoryConfigurationProvider.

## Member Function Documentation

## ◆ buildSearchEngine()

eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineFactory::buildSearchEngine | ( |  | ) |

Builds search engine identified by its identifier (the "alias" attribute in the service tag), resolved for current siteaccess.

Exceptions

Definition at line 64 of file SearchEngineFactory.php.

## ◆ getSearchEngines()

eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineFactory::getSearchEngines | ( |  | ) |

Returns registered search engines.

Returns
  \eZ\Publish\SPI\Search\Handler[]

Definition at line 51 of file SearchEngineFactory.php.

References eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineFactory\$searchEngines.

## ◆ registerSearchEngine()

eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineFactory::registerSearchEngine | ( | SearchHandler | $searchHandler,
|  |  | $searchEngineIdentifier
| ) |  |

Registers $searchHandler as a valid search engine with identifier $searchEngineIdentifier.

Note It is strongly recommended to register a lazy persistent handler.

Parameters

  \eZ\Publish\SPI\Search\Handler | $searchHandler |
  string | $searchEngineIdentifier |

Definition at line 41 of file SearchEngineFactory.php.

## Member Data Documentation

## ◆ $repositoryConfigurationProvider

eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineFactory::$repositoryConfigurationProvider
| private

Definition at line 18 of file SearchEngineFactory.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineFactory\__construct().

## ◆ $searchEngines

eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineFactory::$searchEngines = []
| protected

Definition at line 26 of file SearchEngineFactory.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineFactory\getSearchEngines().

The documentation for this class was generated from the following file:

- SearchEngineFactory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.